Bug 475106 - Updating vixie-cron RPM leaves incorrect SigIgn settings
Updating vixie-cron RPM leaves incorrect SigIgn settings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 16:19 EST by Damian Menscher
Modified: 2010-12-02 07:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 08:32:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Menscher 2008-12-07 16:19:44 EST
Description of problem:
For the past several years, every time the vixie-cron RPM is updated, the system is left in a state like:

# grep SigIgn /proc/12642/status
SigIgn: 0000000021001000

It should look like:

# grep SigIgn /proc/17846/status
SigIgn: 0000000020000000

The result is that many cronjobs emit strange error messages (see bug 170402 from 2005, which was never fixed, despite being marked resolved).

A good explanation of this was given at https://bugzilla.redhat.com/show_bug.cgi?id=170402#c42 but I'm opening a new bug for this since the old bug has been closed, and can't be reopened.  Quoting:

"Somehow yum or rpm environment is set up to ignore sigclose and when post script restarts crond during update, crond inherits those environment settings.  Restarting crond by hand fixes this problem."

Version-Release number of selected component (if applicable):
vixie-cron-4.1-50.el4
up2date-4.7.1-17.el4

How reproducible:
Always.

Steps to Reproduce:
1. Upgrade the vixie-cron RPM
2. grep SigIgn /proc/[pid]/status
Comment 1 Marcela Mašláňová 2008-12-08 04:07:04 EST
For this behaviour was responsible makewhatis script, which was fixed two years ago. So what's the problem?
Comment 2 Damian Menscher 2008-12-20 19:23:58 EST
The makewhatis script is irrelevant, and was simply one symptom of this bug which was worked around.  The real bug is in the rpm install of vixie-cron, which changes the SigIgn settings of the running crond.  This bug manifests itself with other scripts that are called by cron.

This bug is easy to verify by comparing the SigIgn values before and after an update of the vixie-cron RPM.

If you really think it's valid behavior for the SigIgn values to change when crond is restarted by up2date, please document that, as well as workarounds to apply to scripts this breaks.
Comment 3 Marcela Mašláňová 2010-02-22 08:32:43 EST
The last planned update of RHEL-4 will be focused on performance and security bugs only. Please reopen in next release if this problem is still valid.
Comment 4 Colin Watson 2010-12-02 07:57:15 EST
Bug #649674 indicates that this is still a problem.  I don't know the bug etiquette for reopening this, but it clearly ought to be reopened and put somewhere where it won't be closed just because a Red Hat product went out of support.  Please can somebody fix this?  I would really prefer not to have to work around this in man-db - it's the wrong place.

Note You need to log in before you can comment on or make changes to this bug.